#
# spec file for package scez (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  keeper openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd keeper less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         scez
Summary:      Smart Card Library
Version:      1.0
Release:      110
Copyright: BSD style
Group: Development/Libraries
Source: ftp://ftp.franken.de/pub/crypt/chipcards/scez/scez-1.0.tar.bz2
Buildroot: /var/tmp/scez-1.0-root
%define prefix /usr

%description
SCEZ is a library to make portable smart card development easier.
Supported readers:
- ACS ACR20S/Cybermouse (as far as this broken reader can be supported)
- CT-API
- Dumb Mouse
- Gemplus GCR410
- Intertex IX2
- Schlumberger Reflex62/64
- Towitoko Chipdrive
Supported cards:
- ComCard MFC (mostly untested)
- GeldKarte
- Gemplus GPK4000
- Gemplus GPK8000
- Giesecke & Devrient Smr@rtCafe
- GSM SIM card
- Proton
- Quick
- Schlumberger Cryptoflex
- Schlumberger Cyberflex
- Schlumberger Multiflex
- Telesec TCOS2
- ZeitControl BasicCard

Authors:
--------
    Matthias Bruestle <m@mbsks.franken.de>

SuSE series: sec

%prep
%setup

%build
make -f Makefile clean
make -f Makefile Linux-openssl

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
install -s -m 755 bcupload $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 cafeman $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 cardcheck $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 cfupload $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 crdetect $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 cyflexman $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 flexpasswd $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 gendivkey $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 getcert $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 scanclains $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 scdir $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 scsh $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 scwait $RPM_BUILD_ROOT/%{prefix}/bin/
install -s -m 755 simman $RPM_BUILD_ROOT/%{prefix}/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 libscez.so $RPM_BUILD_ROOT/usr/lib/
install -m 644 libsio.so $RPM_BUILD_ROOT/usr/lib/
install -m 644 libscez.a $RPM_BUILD_ROOT/usr/lib/
install -m 644 libsio.a $RPM_BUILD_ROOT/usr/lib/
mkdir -p $RPM_BUILD_ROOT/usr/include/scez
install -m 644 scacr20.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scbasiccard.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sccryptoflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scctapi.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sccyberflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scdumbmouse.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgcr400.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgeldkarte.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgeneral.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgpk4000.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgsmsim.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scintertex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scmfc.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scmultiflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scproton.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scpts.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scquick.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 screader.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 screflex60.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scsmartcafe.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scsmartcard.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sct0.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sct1.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sctcos.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sctowitoko.h $RPM_BUILD_ROOT/usr/include/scez/

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT COPYRIGHT.sio PORTING.sio README README.sio VERSION.sio
%doc dox/bradesco.txt dox/dumbmouse.txt dox/geldkarte.txt
%doc dox/netkey.txt dox/simman.txt dox/sio.html
%doc dox/example.c dox/scez.texi
%doc icons/scez-16-14.png icons/scez-32-28.png icons/scez-72-64.png
%doc icons/scez-sign.obj icons/scez-symbol.obj icons/scez.png
/%{prefix}/bin/bcupload
/%{prefix}/bin/cafeman
/%{prefix}/bin/cardcheck
/%{prefix}/bin/cfupload
/%{prefix}/bin/crdetect
/%{prefix}/bin/cyflexman
/%{prefix}/bin/flexpasswd
/%{prefix}/bin/gendivkey
/%{prefix}/bin/getcert
/%{prefix}/bin/scanclains
/%{prefix}/bin/scdir
/%{prefix}/bin/scsh
/%{prefix}/bin/scwait
/%{prefix}/bin/simman
/usr/lib/libscez.so
/usr/lib/libsio.so
/usr/lib/libscez.a
/usr/lib/libsio.a
/usr/include/scez/scacr20.h
/usr/include/scez/scbasiccard.h
/usr/include/scez/sccryptoflex.h
/usr/include/scez/scctapi.h
/usr/include/scez/sccyberflex.h
/usr/include/scez/scdumbmouse.h
/usr/include/scez/scgcr400.h
/usr/include/scez/scgeldkarte.h
/usr/include/scez/scgeneral.h
/usr/include/scez/scgpk4000.h
/usr/include/scez/scgsmsim.h
/usr/include/scez/scintertex.h
/usr/include/scez/scmfc.h
/usr/include/scez/scmultiflex.h
/usr/include/scez/scproton.h
/usr/include/scez/scpts.h
/usr/include/scez/scquick.h
/usr/include/scez/screader.h
/usr/include/scez/screflex60.h
/usr/include/scez/scsmartcafe.h
/usr/include/scez/scsmartcard.h
/usr/include/scez/sct0.h
/usr/include/scez/sct1.h
/usr/include/scez/sctcos.h
/usr/include/scez/sctowitoko.h

%changelog -n scez
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 19 2001 - mge@suse.de
- created package
